---
title: Update an org group membership
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Groups
---

# Update an org group membership{% #update-an-org-group-membership %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                               |
| ----------------- | ------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/org_group_memberships/{org_group_membership_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/org_group_memberships/{org_group_membership_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/org_group_memberships/{org_group_membership_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/org_group_memberships/{org_group_membership_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/org_group_memberships/{org_group_membership_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/org_group_memberships/{org_group_membership_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/org_group_memberships/{org_group_membership_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/org_group_memberships/{org_group_membership_id} |

### Overview

Move an organization to a different org group by updating its membership. This endpoint requires the `org_group_write` permission.

### Arguments

#### Path Parameters

| Name                                      | Type   | Description                         |
| ----------------------------------------- | ------ | ----------------------------------- |
| org_group_membership_id [*required*] | string | The ID of the org group membership. |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field  | Field                           | Type   | Description                                                                       |
| ------------- | ------------------------------- | ------ | --------------------------------------------------------------------------------- |
|               | data [*required*]          | object | Data for updating an org group membership.                                        |
| data          | id [*required*]            | uuid   | The ID of the membership.                                                         |
| data          | relationships [*required*] | object | Relationships for updating a membership.                                          |
| relationships | org_group [*required*]     | object | Relationship to a single org group.                                               |
| org_group     | data [*required*]          | object | A reference to an org group.                                                      |
| data          | id [*required*]            | uuid   | The ID of the org group.                                                          |
| data          | type [*required*]          | enum   | Org groups resource type. Allowed enum values: `org_groups`                       |
| data          | type [*required*]          | enum   | Org group memberships resource type. Allowed enum values: `org_group_memberships` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "id": "f1e2d3c4-b5a6-7890-1234-567890abcdef",
    "relationships": {
      "org_group": {
        "data": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          "type": "org_groups"
        }
      }
    },
    "type": "org_group_memberships"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single org group membership.

| Parent field  | Field                         | Type      | Description                                                                       |
| ------------- | ----------------------------- | --------- | --------------------------------------------------------------------------------- |
|               | data [*required*]        | object    | An org group membership resource.                                                 |
| data          | attributes [*required*]  | object    | Attributes of an org group membership.                                            |
| attributes    | created_at [*required*]  | date-time | Timestamp when the membership was created.                                        |
| attributes    | modified_at [*required*] | date-time | Timestamp when the membership was last modified.                                  |
| attributes    | org_name [*required*]    | string    | The name of the member organization.                                              |
| attributes    | org_site [*required*]    | string    | The site of the member organization.                                              |
| attributes    | org_uuid [*required*]    | uuid      | The UUID of the member organization.                                              |
| data          | id [*required*]          | uuid      | The ID of the org group membership.                                               |
| data          | relationships                 | object    | Relationships of an org group membership.                                         |
| relationships | org_group                     | object    | Relationship to a single org group.                                               |
| org_group     | data [*required*]        | object    | A reference to an org group.                                                      |
| data          | id [*required*]          | uuid      | The ID of the org group.                                                          |
| data          | type [*required*]        | enum      | Org groups resource type. Allowed enum values: `org_groups`                       |
| data          | type [*required*]        | enum      | Org group memberships resource type. Allowed enum values: `org_group_memberships` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "created_at": "2024-01-15T10:30:00Z",
      "modified_at": "2024-01-15T10:30:00Z",
      "org_name": "Acme Corp",
      "org_site": "us1",
      "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901"
    },
    "id": "f1e2d3c4-b5a6-7890-1234-567890abcdef",
    "relationships": {
      "org_group": {
        "data": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          "type": "org_groups"
        }
      }
    },
    "type": "org_group_memberships"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export org_group_membership_id="f1e2d3c4-b5a6-7890-1234-567890abcdef" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/org_group_memberships/${org_group_membership_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "id": "f1e2d3c4-b5a6-7890-1234-567890abcdef",
    "relationships": {
      "org_group": {
        "data": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          "type": "org_groups"
        }
      }
    },
    "type": "org_group_memberships"
  }
}
EOF 
                
##### 

```python
"""
Update an org group membership returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_groups_api import OrgGroupsApi
from datadog_api_client.v2.model.org_group_membership_type import OrgGroupMembershipType
from datadog_api_client.v2.model.org_group_membership_update_data import OrgGroupMembershipUpdateData
from datadog_api_client.v2.model.org_group_membership_update_relationships import OrgGroupMembershipUpdateRelationships
from datadog_api_client.v2.model.org_group_membership_update_request import OrgGroupMembershipUpdateRequest
from datadog_api_client.v2.model.org_group_relationship_to_one import OrgGroupRelationshipToOne
from datadog_api_client.v2.model.org_group_relationship_to_one_data import OrgGroupRelationshipToOneData
from datadog_api_client.v2.model.org_group_type import OrgGroupType
from uuid import UUID

body = OrgGroupMembershipUpdateRequest(
    data=OrgGroupMembershipUpdateData(
        id=UUID("f1e2d3c4-b5a6-7890-1234-567890abcdef"),
        relationships=OrgGroupMembershipUpdateRelationships(
            org_group=OrgGroupRelationshipToOne(
                data=OrgGroupRelationshipToOneData(
                    id=UUID("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
                    type=OrgGroupType.ORG_GROUPS,
                ),
            ),
        ),
        type=OrgGroupMembershipType.ORG_GROUP_MEMBERSHIPS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_org_group_membership"] = True
with ApiClient(configuration) as api_client:
    api_instance = OrgGroupsApi(api_client)
    response = api_instance.update_org_group_membership(
        org_group_membership_id=UUID("f1e2d3c4-b5a6-7890-1234-567890abcdef"), body=body
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Update an org group membership returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_org_group_membership".to_sym] = true
end
api_instance = DatadogAPIClient::V2::OrgGroupsAPI.new

body = DatadogAPIClient::V2::OrgGroupMembershipUpdateRequest.new({
  data: DatadogAPIClient::V2::OrgGroupMembershipUpdateData.new({
    id: "f1e2d3c4-b5a6-7890-1234-567890abcdef",
    relationships: DatadogAPIClient::V2::OrgGroupMembershipUpdateRelationships.new({
      org_group: DatadogAPIClient::V2::OrgGroupRelationshipToOne.new({
        data: DatadogAPIClient::V2::OrgGroupRelationshipToOneData.new({
          id: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          type: DatadogAPIClient::V2::OrgGroupType::ORG_GROUPS,
        }),
      }),
    }),
    type: DatadogAPIClient::V2::OrgGroupMembershipType::ORG_GROUP_MEMBERSHIPS,
  }),
})
p api_instance.update_org_group_membership("f1e2d3c4-b5a6-7890-1234-567890abcdef", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Update an org group membership returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	body := datadogV2.OrgGroupMembershipUpdateRequest{
		Data: datadogV2.OrgGroupMembershipUpdateData{
			Id: uuid.MustParse("f1e2d3c4-b5a6-7890-1234-567890abcdef"),
			Relationships: datadogV2.OrgGroupMembershipUpdateRelationships{
				OrgGroup: datadogV2.OrgGroupRelationshipToOne{
					Data: datadogV2.OrgGroupRelationshipToOneData{
						Id:   uuid.MustParse("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
						Type: datadogV2.ORGGROUPTYPE_ORG_GROUPS,
					},
				},
			},
			Type: datadogV2.ORGGROUPMEMBERSHIPTYPE_ORG_GROUP_MEMBERSHIPS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateOrgGroupMembership", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgGroupsApi(apiClient)
	resp, r, err := api.UpdateOrgGroupMembership(ctx, uuid.MustParse("f1e2d3c4-b5a6-7890-1234-567890abcdef"), body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgGroupsApi.UpdateOrgGroupMembership`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgGroupsApi.UpdateOrgGroupMembership`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Update an org group membership returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgGroupsApi;
import com.datadog.api.client.v2.model.OrgGroupMembershipResponse;
import com.datadog.api.client.v2.model.OrgGroupMembershipType;
import com.datadog.api.client.v2.model.OrgGroupMembershipUpdateData;
import com.datadog.api.client.v2.model.OrgGroupMembershipUpdateRelationships;
import com.datadog.api.client.v2.model.OrgGroupMembershipUpdateRequest;
import com.datadog.api.client.v2.model.OrgGroupRelationshipToOne;
import com.datadog.api.client.v2.model.OrgGroupRelationshipToOneData;
import com.datadog.api.client.v2.model.OrgGroupType;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateOrgGroupMembership", true);
    OrgGroupsApi apiInstance = new OrgGroupsApi(defaultClient);

    OrgGroupMembershipUpdateRequest body =
        new OrgGroupMembershipUpdateRequest()
            .data(
                new OrgGroupMembershipUpdateData()
                    .id(UUID.fromString("f1e2d3c4-b5a6-7890-1234-567890abcdef"))
                    .relationships(
                        new OrgGroupMembershipUpdateRelationships()
                            .orgGroup(
                                new OrgGroupRelationshipToOne()
                                    .data(
                                        new OrgGroupRelationshipToOneData()
                                            .id(
                                                UUID.fromString(
                                                    "a1b2c3d4-e5f6-7890-abcd-ef0123456789"))
                                            .type(OrgGroupType.ORG_GROUPS))))
                    .type(OrgGroupMembershipType.ORG_GROUP_MEMBERSHIPS));

    try {
      OrgGroupMembershipResponse result =
          apiInstance.updateOrgGroupMembership(
              UUID.fromString("f1e2d3c4-b5a6-7890-1234-567890abcdef"), body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OrgGroupsApi#updateOrgGroupMembership");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Update an org group membership returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_groups::OrgGroupsAPI;
use datadog_api_client::datadogV2::model::OrgGroupMembershipType;
use datadog_api_client::datadogV2::model::OrgGroupMembershipUpdateData;
use datadog_api_client::datadogV2::model::OrgGroupMembershipUpdateRelationships;
use datadog_api_client::datadogV2::model::OrgGroupMembershipUpdateRequest;
use datadog_api_client::datadogV2::model::OrgGroupRelationshipToOne;
use datadog_api_client::datadogV2::model::OrgGroupRelationshipToOneData;
use datadog_api_client::datadogV2::model::OrgGroupType;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let body = OrgGroupMembershipUpdateRequest::new(OrgGroupMembershipUpdateData::new(
        Uuid::parse_str("f1e2d3c4-b5a6-7890-1234-567890abcdef").expect("invalid UUID"),
        OrgGroupMembershipUpdateRelationships::new(OrgGroupRelationshipToOne::new(
            OrgGroupRelationshipToOneData::new(
                Uuid::parse_str("a1b2c3d4-e5f6-7890-abcd-ef0123456789").expect("invalid UUID"),
                OrgGroupType::ORG_GROUPS,
            ),
        )),
        OrgGroupMembershipType::ORG_GROUP_MEMBERSHIPS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateOrgGroupMembership", true);
    let api = OrgGroupsAPI::with_config(configuration);
    let resp = api
        .update_org_group_membership(
            Uuid::parse_str("f1e2d3c4-b5a6-7890-1234-567890abcdef").expect("invalid UUID"),
            body,
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Update an org group membership returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateOrgGroupMembership"] = true;
const apiInstance = new v2.OrgGroupsApi(configuration);

const params: v2.OrgGroupsApiUpdateOrgGroupMembershipRequest = {
  body: {
    data: {
      id: "f1e2d3c4-b5a6-7890-1234-567890abcdef",
      relationships: {
        orgGroup: {
          data: {
            id: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
            type: "org_groups",
          },
        },
      },
      type: "org_group_memberships",
    },
  },
  orgGroupMembershipId: "f1e2d3c4-b5a6-7890-1234-567890abcdef",
};

apiInstance
  .updateOrgGroupMembership(params)
  .then((data: v2.OrgGroupMembershipResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
